Page MenuHomePhabricator

Switching from Visual Editor to the 2010 Wikitext editor without any changes adds oldid to the query string
Closed, ResolvedPublic

Description

Because of the oldid in the URL, the post-edit notification that appears when the page is saved uses the postedit-confirmation-restored message, which is confusing, as one might imagine.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 17 2019, 5:56 PM
JTannerWMF moved this task from To Triage to Up next on the VisualEditor board.May 21 2019, 3:29 PM

Change 511878 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/VisualEditor@master] Switch to wikitext: Don't set oldid if unmodified current ID

https://gerrit.wikimedia.org/r/511878

Esanders claimed this task.May 22 2019, 1:33 PM
Esanders edited projects, added VisualEditor (Current work); removed VisualEditor.
Esanders moved this task from Incoming to Code review on the VisualEditor (Current work) board.

Change 511878 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Switch to wikitext: Don't set oldid if unmodified current ID

https://gerrit.wikimedia.org/r/511878

I was surprised that this has not been reported before. Turns out is has:

I guess the issue of wrong post-edit message still occurs when switching with changes?

waldyrious updated the task description. (Show Details)May 23 2019, 10:33 PM
ppelberg closed this task as Resolved.Jul 10 2019, 11:36 PM